/*
    Tic-Tac-Toe 68k v1.0
    Copyright (C) 2001 John David Ratliff
    Questions or Comments: 
    	E-Mail: jdratlif@cs.indiana.edu
    	URL:	http://www.technoplaza.net 
    	
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// C Source File
// Created 6/24/2001; 12:33:33 AM

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include "ttt.h"

#include <graph.h>
#include <stdlib.h>

short _ti89;                  // Produce .89Z File
short _ti92plus;              // Produce .9XZ File

void _main(void) {
	short int stdFont = FontGetSys(), mode, go;
	
	// setup the random number generator
	randomize();
	
	// setup the medium size font
	FontSetSys(F_6x8);

	// the main game loop...
	while ((mode = doIntro()) != 0) {
		if (mode == LINKX || mode == LINKO) {
			go = setupLink(mode);
		} else {
			go = 1;
		}

		if (go) {
			ticTacToe(mode);
		} else {
			fatal(errors[LINKERROR]);
		}
	}
	
	// restore the standard system font
	FontSetSys(stdFont);
}
